Bug 1295033 - RFE: unable to configure backends of cinder(overcloud nodes) from undercloud
RFE: unable to configure backends of cinder(overcloud nodes) from undercloud
Status: CLOSED DUPLICATE of bug 1269990
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
7.0 (Kilo)
All Linux
high Severity high
: y1
: 8.0 (Liberty)
Assigned To: Giulio Fidente
yeylon@redhat.com
: Documentation, FutureFeature, ZStream
Depends On:
Blocks: 1339413 1302085
  Show dependency treegraph
 
Reported: 2016-01-01 02:28 EST by Pratik Pravin Bandarkar
Modified: 2016-05-24 20:07 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 1302085 (view as bug list)
Environment:
Last Closed: 2016-02-18 09:49:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pratik Pravin Bandarkar 2016-01-01 02:28:27 EST
Description of problem:
OSP Director is the Red Hat strategic tool to deploy OpenStack in Production environments from version OSP7 onward. Customers prefer to use Enterprise Storage array backend for cinder. Currently there are no steps to deploy OpenStack using OSP Director and integrating with EMC storage array backend with cinder.

Document all the steps to configure EMC storage backend for cinder/glance/nova via OSP Director. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 3 Pratik Pravin Bandarkar 2016-01-20 07:08:00 EST
Updated bz description: 

I tried adding cinder backend of overcloud node from undercloud by updating manifest and hieradata on undercloud node. and i was able to configure backend. But, it do not configure value of "enabled_backend" in the configuration file. 

Also, what I observed is, after initial deployment, if we update hieradata file with new values and rerun the deployment `openstack overcloud deploy`, the new values from hieradata do not reflect on overcloud nodes. From overcloud node, I can see older values in hieradata.

as per my discussion with engineering team, currently its not to update "enabled_backend" from undercloud node. So, its bug from director component rather than doc bz.
Comment 4 Giulio Fidente 2016-01-27 05:05:37 EST
hi Pratik, with the change at [1] you should be able to add an arbitrary backend to the list of the backends enabled in Cinder by passing its config stanza name in a list, like the following:

  cinder_user_enabled_backends: ["my_additional_backend_stanza_name"]

can you see if that works for you?

1. https://review.openstack.org/269534

Note You need to log in before you can comment on or make changes to this bug.